Harden Up Your WordPress: 3.0.5 Released and 3.1RC4 Available

wordpress logoWordPress 3.0.5 has just been released and is an essential security update for WordPress users. This is particularly important if you have any untrusted users on your site. It addresses the following issues:

  • Two moderate security issues that could let a Contributor or Author have further access to the site
  • An information disclosure issue where authors could see private or draft posts
  • Two security enhancements. One offers increased security for any plugin not properly using the API. The other offers additional defense against a vulnerability fixed in a previous release.

So get updating!

And for anyone who develops plugins and themes and wants to make sure that they are compatible with WordPress 3.1 when it’s ready, you’ll be wanting to get your hands on WordPress 3.1 RC4. This includes the above enhancements as well around two dozen bug fixes.